    Language 84

Introduction

    Language 84 is a programming language with a self-hosting compiler.

    It has the following immutable data types:

        * function
        * tuple, record, variant
        * string, integer, boolean
        * list, queue
        * dictionary, set

    It has the following mutable data types:

        * file
        * scratchpad

    It has a package system.

    It has a region-based memory system (no reference counting or tracing).

Notes

    Use GNU Make to build:

        $ make

    You can edit the "programs" file to control what gets built. Here are some
    programs to try:

        84
        bench_binary_trees
        bfnum
        factorial
        graph_test
        hello_world
        odds_evens
        sort_test

See also

    http://norstrulde.org/language84
